Hinweis
Für den Zugriff auf diese Seite ist eine Autorisierung erforderlich. Sie können versuchen, sich anzumelden oder das Verzeichnis zu wechseln.
Für den Zugriff auf diese Seite ist eine Autorisierung erforderlich. Sie können versuchen, das Verzeichnis zu wechseln.
Retrieve the properties of a workflowApprover object in Business Central.
HTTP request
Replace the URL prefix for Business Central based on the environment. For more information, see API endpoints.
GET businesscentralPrefix/companies({companyId})/workflowApprovers({workflowApproverId})
To retrieve all workflow approvers, omit ({workflowApproverId}) from the request URL.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Don't supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a workflowApprover object in the response body.
Example
Request
Here's an example of the request.
GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/workflowApprovers({workflowApproverId})
Response
Here's an example of the response.
{
"id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
"workflowCode": "PURCH-ORDER",
"workflowDescription": "Purchase Order Approval Workflow",
"category": "PURCHASE",
"enabled": true,
"workflowStepId": 10,
"argumentId": "bbbbbbbb-1111-2222-3333-cccccccccccc",
"approverType": "Approver",
"approverLimitType": "Direct Approver",
"userGroupCode": "",
"userGroupDescription": "",
"userId": "00aa00aa-bb11-cc22-dd33-44ee44ee44ee",
"userName": "sara@contoso.com",
"sequence": 1,
"lastModifiedDateTime": "2026-08-04T11:15:00Z"
}